Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.util
Class DateEntryField

    java.lang.Object
      charva.awt.Component
          charva.awt.Container
              charvax.swing.JPanel
                  charva.awt.util.DateEntryField

All Implemented Interfaces:
  EventListener, FocusListener, KeyListener

public class DateEntryField
extends JPanel
implements KeyListener, FocusListener

This class displays a date entry field in the format CCYY/MM/DD and allows the user to edit the contents of the three subfields. It intercepts each keystroke and causes a beep if a non-numeric key is typed.

Field Summary

Fields inherited from class charva.awt.Container
`_components, _currentFocus, _insets, _isValid, _layoutMgr, _minimumSize, _size`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`DateEntryField(Dialog owner_)`
`DateEntryField(Dialog owner_, java.util.TimeZone zone_)`
`DateEntryField(Frame owner_)`
`DateEntryField(Frame owner_, java.util.TimeZone zone_)`

Method Summary
`void` | `focusGained(FocusEvent fe_)`
`void` | `focusLost(FocusEvent e_)`
`int` | `getDay()` Get the day-of-month value.
`int` | `getMonth()` Get the month value (between 1 and 12)
`int` | `getYear()` Get the year value.
`void` | `keyPressed(KeyEvent e_)` KEY_PRESSED events are fired when any key (including a function key and cursor key) is pressed while the component has keyboard input focus.
`void` | `keyReleased(KeyEvent e_)` This is never called.
`void` | `keyTyped(KeyEvent e_)` KEY_TYPED events are fired when a key representing a valid text character (not a function key or cursor key) is pressed.
`void` | `set()` Set the fields to the current time.
`void` | `setDay(int day_)`
`void` | `setMonth(int month_)` Set the month field
`void` | `setYear(int year_)` Set the year field

Methods inherited from class charvax.swing.JPanel
`debug, draw, getBorder, getInsets, setBorder, toString`

Methods inherited from class charva.awt.Container
`add, add, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getCurrentFocus, getHeight, getSize, getWidth, invalidate, isFocusTraversable, isValid, minimumSize, nextFocus, previousFocus, processKeyEvent, remove, requestFocus, setBackground, setFocus, setForeground, setHeight, setLayout, setSize, setSize, setWidth, validate`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, isDisplayed, isEnabled, isTotallyObscured, isVisible, processEvent, processFocusEvent, processMouseEvent, repaint, requestSync, setBounds, setBounds, setBounds, setEnabled, setLocation, setLocation, setName, setParent, setVisible, show, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateEntryField

    public DateEntryField(Frame owner_)

### DateEntryField

    public DateEntryField(Frame owner_,
                          java.util.TimeZone zone_)

### DateEntryField

    public DateEntryField(Dialog owner_)

### DateEntryField

    public DateEntryField(Dialog owner_,
                          java.util.TimeZone zone_)

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e_)

  Description copied from interface: `KeyListener`
  KEY_PRESSED events are fired when any key (including a function key and cursor key) is pressed while the component has keyboard input focus. KeyEvent.getKeyCode() can be used to find out which key was pressed.

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e_)

  This is never called.

  Specified by:
    `keyReleased` in interface `KeyListener`

### keyTyped

    public void keyTyped(KeyEvent e_)

  Description copied from interface: `KeyListener`
  KEY_TYPED events are fired when a key representing a valid text character (not a function key or cursor key) is pressed. KeyEvent.getKeyChar() can be used to get the ASCII code of the key that was pressed.

  Specified by:
    `keyTyped` in interface `KeyListener`

### focusGained

    public void focusGained(FocusEvent fe_)

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e_)

  Specified by:
    `focusLost` in interface `FocusListener`

### set

    public void set()

  Set the fields to the current time.

### setYear

    public void setYear(int year_)

  Set the year field

### setMonth

    public void setMonth(int month_)

  Set the month field

### setDay

    public void setDay(int day_)

### getYear

    public int getYear()

  Get the year value.

### getMonth

    public int getMonth()

  Get the month value (between 1 and 12)

### getDay

    public int getDay()

  Get the day-of-month value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD